View Issue Details

IDProjectCategoryView StatusLast Update
0006376Talerlibeufin-nexuspublic2024-07-09 16:43
ReporterFlorian Dold Assigned ToAntoine A  
PrioritynormalSeveritytweakReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.12 
Summary0006376: test against all samples given by the German standard supplement
Descriptionhttps://www.ebics.de/de/datenformate/ergaenzende-dokumente

We should test against the camt5x documents in particular.
TagsNo tags attached.

Activities

Florian Dold

2021-01-21 02:15

manager   ~0017381

We mainly should make sure that the parser doesn't crash, and that we have the JSON that we generated as a reference file in a test case.

MS

2021-01-22 17:07

reporter   ~0017391

This gets delayed, as now the parser targets only one particular Camt style.

MS

2021-01-25 15:56

reporter   ~0017392

From commit: 5b536593b9d84a9bb5ea2908aa2ab259d9199308, libeufin-tests.git contains samples from ebics.de and the UBS testing platform.

Antoine A

2024-07-01 11:53

developer   ~0022773

Already fixed during the libeufin-nexus rewrite

Issue History

Date Modified Username Field Change
2020-06-11 09:39 Florian Dold New Issue
2020-11-10 11:58 MS Target Version => 0.9.1
2021-01-21 02:14 Florian Dold Assigned To => MS
2021-01-21 02:14 Florian Dold Status new => assigned
2021-01-21 02:15 Florian Dold Note Added: 0017381
2021-01-22 17:07 MS Note Added: 0017391
2021-01-25 15:56 MS Note Added: 0017392
2021-01-26 19:12 MS Status assigned => acknowledged
2023-01-08 10:36 Christian Grothoff Severity minor => tweak
2023-01-08 10:36 Christian Grothoff Target Version 0.9.1 => 0.10
2023-04-13 20:28 Florian Dold Project libeufin => Taler
2023-04-13 21:47 Florian Dold Category other => libeufin-nexus
2023-09-03 18:09 Christian Grothoff Assigned To MS => Antoine A
2023-09-23 16:22 Christian Grothoff Target Version 0.10 => post-1.0
2023-12-24 06:24 Christian Grothoff Status acknowledged => assigned
2024-07-01 11:53 Antoine A Status assigned => resolved
2024-07-01 11:53 Antoine A Resolution open => fixed
2024-07-01 11:53 Antoine A Note Added: 0022773
2024-07-09 16:43 Christian Grothoff Product Version => git (master)
2024-07-09 16:43 Christian Grothoff Target Version post-1.0 => 0.12